#!/bin/sh

if [ ! -f /etc/lyxprofile ] ; then
    cp /usr/local/share/lyx/etc/lyxprofile /etc/lyxprofile
fi

winpath=`cygpath -w /usr/local/bin/lyx-win.exe | sed -e 's/\\\\/\\\\\\\\\\\\\\\\/g'`
sed -e "s/PLACEHOLDER/$winpath/g" /usr/local/share/lyx/etc/lyx.reg > /tmp/lyx.reg
mv /tmp/lyx.reg /usr/local/share/lyx/etc/lyx.reg

# Add /usr/local/share/lyx/fonts to /etc/fonts/local.conf
# if it is not already there.
# In case /etc/fonts/local.conf is missing, provide a minimal one.
if [ -f /etc/fonts/local.conf ]; then
    grep -q /usr/local/share/lyx/fonts /etc/fonts/local.conf
    if [ $? -ne 0 ]; then
	sed 's/^<\/fontconfig>/<dir>\/usr\/local\/share\/lyx\/fonts<\/dir>\n<\/fontconfig>/' /etc/fonts/local.conf > /etc/fonts/local.conf.tmp
	mv -f /etc/fonts/local.conf.tmp /etc/fonts/local.conf
    fi
else
    echo '<?xml version="1.0"?>' > /etc/fonts/local.conf
    echo '<!DOCTYPE fontconfig SYSTEM "fonts.dtd">' >> /etc/fonts/local.conf
    echo '<fontconfig>' >> /etc/fonts/local.conf
    echo '<dir>/usr/local/share/lyx/fonts</dir>' >> /etc/fonts/local.conf
    echo '</fontconfig>' >> /etc/fonts/local.conf
fi
fc-cache /usr/local/share/lyx/fonts
